* [gentoo-commits] proj/gamerlay:master commit in: games-action/descent2-vertigo/, games-action/descent2-data/, ...
@ 2013-08-05 14:01 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 4+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2013-08-05 14:01 UTC (permalink / raw
To: gentoo-commits
commit: b543dfc3bc64ca2d298d355f630810f95016f3b1
Author: Alexander Turenko <alextux <AT> bk <DOT> ru>
AuthorDate: Mon Aug 5 12:56:32 2013 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Mon Aug 5 14:00:06 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=b543dfc3
Updates for d{1,2}x-* and descent{1,2}-* ebuilds.
* Remove unnecessary 'die' calls.
* Merge changes from main tree.
* Merge changes from bugs.gentoo.org.
* Add D1X license.
* Update copyrights.
* Remove old, add new versions for d{1,2}x-rebirth.
---
games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild | 94 ++++++++++++----------
games-action/d1x-rebirth/d1x-rebirth-0.58.1.ebuild | 94 ++++++++++++++++++++++
games-action/d1x-rebirth/metadata.xml | 24 +++---
games-action/d2x-rebirth/d2x-rebirth-0.57.1.ebuild | 69 ----------------
games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild | 90 ++++++++++++---------
games-action/d2x-rebirth/d2x-rebirth-0.58.1.ebuild | 92 +++++++++++++++++++++
games-action/d2x-rebirth/metadata.xml | 8 +-
games-action/d2x-xl/d2x-xl-1.16.15.ebuild | 12 ++-
.../descent1-data/descent1-data-1.0-r1.ebuild | 17 ++--
.../descent2-data/descent2-data-1.0-r2.ebuild | 75 ++++++++++++-----
.../descent2-vertigo/descent2-vertigo-1.0.ebuild | 13 +--
licenses/D1X | 44 ++++++++++
12 files changed, 421 insertions(+), 211 deletions(-)
diff --git a/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild b/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
index eff9f5b..d0f1aea 100644
--- a/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
+++ b/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
@@ -1,84 +1,94 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="5"
+EAPI=5
+
inherit eutils games scons-utils
DV=1
+MY_P=${PN}_v${PV}-src
DESCRIPTION="Descent Rebirth - enhanced Descent ${DV} engine"
HOMEPAGE="http://www.dxx-rebirth.com/"
-SRC_URI="mirror://sourceforge/dxx-rebirth/${PN}_v${PV}-src.tar.gz
- opl3? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-opl3-music.zip )
- sc55? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-sc55-music.zip )
- textures? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-hires.zip )
- linguas_de? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-briefings-ger.zip )"
+SRC_URI="mirror://sourceforge/dxx-rebirth/${MY_P}.tar.gz
+ opl3-musicpack? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-opl3-music.dxa )
+ sc55-musicpack? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-sc55-music.dxa )
+ linguas_de? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-briefings-ger.dxa )
+ textures? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-hires.dxa )"
-LICENSE="D1X GPL-2 as-is"
+LICENSE="D1X GPL-2 public-domain"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="cdinstall debug ipv6 linguas_de +opengl opl3 sc55 +textures +timidity"
+IUSE="+data debug ipv6 linguas_de +music +opengl opl3-musicpack sc55-musicpack +textures"
+
+REQUIRED_USE="?? ( opl3-musicpack sc55-musicpack )
+ opl3-musicpack? ( music )
+ sc55-musicpack? ( music )"
+
+RDEPEND="dev-games/physfs[hog,zip]
+ media-libs/libsdl:0[X,audio,joystick,opengl?,video]
+ music? (
+ media-libs/sdl-mixer:0[timidity]
+ )
+ opengl? (
+ virtual/opengl
+ virtual/glu
+ )"
+DEPEND="${RDEPEND}"
+PDEPEND="data? ( || (
+ games-action/descent1-data
+ games-action/descent1-demodata
+) )"
-DEPEND="opengl? ( virtual/opengl virtual/glu )
- dev-games/physfs[hog,zip]
- media-libs/libsdl:0[audio,opengl?,video]
- media-libs/sdl-mixer:0[timidity?]"
-RDEPEND="${DEPEND}
- cdinstall? ( games-action/descent1-data )"
+S=${WORKDIR}/${MY_P}
-S=${WORKDIR}/${PN}_v${PV}-src
+RESTRICT=mirror
src_unpack() {
- unpack ${PN}_v${PV}-src.tar.gz
+ unpack ${MY_P}.tar.gz
+}
+
+src_prepare() {
+ DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
+ edos2unix ${DOCS[@]}
}
src_compile() {
escons \
verbosebuild=1 \
sharepath="${GAMES_DATADIR}/d${DV}x" \
- sdlmixer=1 \
$(use_scons debug) \
$(use_scons ipv6) \
+ $(use_scons music sdlmixer) \
+ $(use_scons opengl) \
|| die
}
src_install() {
-
- local DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
- edos2unix ${DOCS[@]} || die
- dodoc ${DOCS[@]} || die
+ dodoc ${DOCS[@]}
insinto "${GAMES_DATADIR}/d${DV}x"
- # None of the following zip files need to be extracted.
- if use linguas_de ; then
- doins "${DISTDIR}"/d${DV}xr-briefings-ger.zip || die
- fi
- if use opl3 ; then
- doins "${DISTDIR}"/d${DV}xr-opl3-music.zip || die
- fi
- if use sc55 ; then
- doins "${DISTDIR}"/d${DV}xr-sc55-music.zip || die
- fi
- if use textures ; then
- doins "${DISTDIR}"/d${DV}xr-hires.zip || die
- fi
+ use opl3-musicpack && doins "${DISTDIR}"/d${DV}xr-opl3-music.dxa
+ use sc55-musicpack && doins "${DISTDIR}"/d${DV}xr-sc55-music.dxa
+ use linguas_de && doins "${DISTDIR}"/d${DV}xr-briefings-ger.dxa
+ use textures && doins "${DISTDIR}"/d${DV}xr-hires.dxa
- doicon "${S}/${PN}.xpm" || die
+ doicon "${S}/${PN}.xpm"
- local EXE=${PN}
- newgamesbin ${EXE} ${EXE} || die
- make_desktop_entry ${PN} "Descent ${DV} Rebirth" || die
+ dogamesbin d${DV}x-rebirth
+ make_desktop_entry d${DV}x-rebirth "Descent ${DV} Rebirth"
prepgamesdirs
}
pkg_postinst() {
games_pkg_postinst
- if ! use cdinstall ; then
+
+ if ! use data ; then
echo
- elog "To play the full game enable USE=\"cdinstall\" or manually "
+ elog "To play the game enable USE=\"data\" or manually "
elog "copy the files to ${GAMES_DATADIR}/d${DV}x."
- elog "Use bzcat /usr/share/doc/${PF}/INSTALL.txt.bz2 for details."
+ elog "See /usr/share/doc/${PF}/INSTALL.txt.bz2 for details."
echo
fi
}
diff --git a/games-action/d1x-rebirth/d1x-rebirth-0.58.1.ebuild b/games-action/d1x-rebirth/d1x-rebirth-0.58.1.ebuild
new file mode 100644
index 0000000..eaecb2f
--- /dev/null
+++ b/games-action/d1x-rebirth/d1x-rebirth-0.58.1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils games scons-utils
+
+DV=1
+MY_P=${PN}_v${PV}-src
+DESCRIPTION="Descent Rebirth - enhanced Descent ${DV} engine"
+HOMEPAGE="http://www.dxx-rebirth.com/"
+SRC_URI="http://www.dxx-rebirth.com/download/dxx/${MY_P}.tar.gz
+ opl3-musicpack? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-opl3-music.dxa )
+ sc55-musicpack? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-sc55-music.dxa )
+ linguas_de? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-briefings-ger.dxa )
+ textures? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-hires.dxa )"
+
+LICENSE="D1X GPL-2 public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+data debug ipv6 linguas_de +music +opengl opl3-musicpack sc55-musicpack +textures"
+
+REQUIRED_USE="?? ( opl3-musicpack sc55-musicpack )
+ opl3-musicpack? ( music )
+ sc55-musicpack? ( music )"
+
+RDEPEND="dev-games/physfs[hog,zip]
+ media-libs/libsdl:0[X,audio,joystick,opengl?,video]
+ music? (
+ media-libs/sdl-mixer:0[timidity]
+ )
+ opengl? (
+ virtual/opengl
+ virtual/glu
+ )"
+DEPEND="${RDEPEND}"
+PDEPEND="data? ( || (
+ games-action/descent1-data
+ games-action/descent1-demodata
+) )"
+
+S=${WORKDIR}/${MY_P}
+
+RESTRICT=mirror
+
+src_unpack() {
+ unpack ${MY_P}.tar.gz
+}
+
+src_prepare() {
+ DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
+ edos2unix ${DOCS[@]}
+}
+
+src_compile() {
+ escons \
+ verbosebuild=1 \
+ sharepath="${GAMES_DATADIR}/d${DV}x" \
+ $(use_scons debug) \
+ $(use_scons ipv6) \
+ $(use_scons music sdlmixer) \
+ $(use_scons opengl) \
+ || die
+}
+
+src_install() {
+ dodoc ${DOCS[@]}
+
+ insinto "${GAMES_DATADIR}/d${DV}x"
+
+ use opl3-musicpack && doins "${DISTDIR}"/d${DV}xr-opl3-music.dxa
+ use sc55-musicpack && doins "${DISTDIR}"/d${DV}xr-sc55-music.dxa
+ use linguas_de && doins "${DISTDIR}"/d${DV}xr-briefings-ger.dxa
+ use textures && doins "${DISTDIR}"/d${DV}xr-hires.dxa
+
+ doicon "${S}/${PN}.xpm"
+
+ dogamesbin d${DV}x-rebirth
+ make_desktop_entry d${DV}x-rebirth "Descent ${DV} Rebirth"
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ if ! use data ; then
+ echo
+ elog "To play the game enable USE=\"data\" or manually "
+ elog "copy the files to ${GAMES_DATADIR}/d${DV}x."
+ elog "See /usr/share/doc/${PF}/INSTALL.txt.bz2 for details."
+ echo
+ fi
+}
diff --git a/games-action/d1x-rebirth/metadata.xml b/games-action/d1x-rebirth/metadata.xml
index f7ff227..026edc8 100644
--- a/games-action/d1x-rebirth/metadata.xml
+++ b/games-action/d1x-rebirth/metadata.xml
@@ -2,20 +2,20 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>games</herd>
- <longdescription>
-Descent 1 is a classic first-person shooter released in 1995 by Interplay
-and Parallax. It was one of the first games with true 3-dimensional
-graphics, movement, and light sourcing. D1X-Rebirth is a modification of the
-Descent 1 source that was released by Parallax and is based on the D1X source.
-</longdescription>
+ <longdescription>
+ Descent 1 is a classic first-person shooter released in 1995 by Interplay
+ and Parallax. It was one of the first games with true 3-dimensional
+ graphics, movement, and light sourcing. D1X-Rebirth is a modification of the
+ Descent 1 source that was released by Parallax and is based on the D1X source.
+ </longdescription>
<use>
<flag name="linguas_de">Provides German translations for the game's
- briefings, robot descriptions, and outro of the original campaign</flag>
- <flag name="opl3">Include alternate version of the game's music, recorded
- with the Yamaha YMF262 OPL3 soundchip</flag>
- <flag name="sc55">Include alternate version of the game's music, recorded
- with the Roland Sound Canvas SC-55 MIDI module</flag>
+ briefings, robot descriptions, and outro of the original campaign</flag>
+ <flag name="opl3-musicpack">Include alternate version of the game's
+ music, recorded with the Yamaha YMF262 OPL3 soundchip</flag>
+ <flag name="sc55-musicpack">Include alternate version of the game's
+ music, recorded with the Roland Sound Canvas SC-55 MIDI module</flag>
<flag name="textures">Include high resolution (640x480) backgrounds,
- briefing images and fonts</flag>
+ briefing images and fonts</flag>
</use>
</pkgmetadata>
diff --git a/games-action/d2x-rebirth/d2x-rebirth-0.57.1.ebuild b/games-action/d2x-rebirth/d2x-rebirth-0.57.1.ebuild
deleted file mode 100644
index 6673d7d..0000000
--- a/games-action/d2x-rebirth/d2x-rebirth-0.57.1.ebuild
+++ /dev/null
@@ -1,69 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="5"
-
-inherit games scons-utils
-
-DESCRIPTION="Descent Rebirth - enhanced Descent 2 engine"
-HOMEPAGE="http://www.dxx-rebirth.com/"
-SRC_URI="mirror://sourceforge/dxx-rebirth/${PN}_v${PV}-src.tar.gz
- linguas_de? ( http://www.dxx-rebirth.com/download/dxx/res/d2xr-briefings-ger.zip )
- music_awe32? ( http://www.dxx-rebirth.com/download/dxx/res/d2xr-awe32enh-music.zip )
- music_opl3? ( http://www.dxx-rebirth.com/download/dxx/res/d2xr-opl3-music.zip )
- music_sc55? ( http://www.dxx-rebirth.com/download/dxx/res/d2xr-sc55-music.zip )"
-
-LICENSE="D1X GPL-2 as-is"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug editor ipv6 linguas_de music_awe32 music_opl3 music_sc55 opengl"
-
-DEPEND="dev-games/physfs[hog,mvl,zip]
- media-libs/libsdl:0
- media-libs/sdl-mixer:0[vorbis]"
-RDEPEND="${DEPEND}
- opengl? ( virtual/opengl virtual/glu )"
-
-S=${WORKDIR}/${PN}_v${PV}-src
-
-src_unpack() {
- # We need unpack only sources. Keep zipped mods intact!
- unpack ${PN}_v${PV}-src.tar.gz
-}
-
-src_compile() {
- scons ${MAKEOPTS} \
- sharepath="${GAMES_DATADIR}/d2x" \
- sdlmixer=1 \
- use_tracker=1 \
- use_udp=1 \
- $(use_scons debug) \
- $(use_scons editor) \
- $(use_scons opengl) \
- $(use_scons ipv6)
-}
-
-src_install() {
- edos2unix {INSTALL,README}.txt
- dodoc {INSTALL,README}.txt
- insinto "${GAMES_DATADIR}/d2x"
- use linguas_de && doins "${DISTDIR}"/d2xr-briefings-ger.zip
- use music_awe32 && doins "${DISTDIR}"/d2xr-awe32enh-music.zip
- use music_opl3 && doins "${DISTDIR}"/d2xr-opl3-music.zip
- use music_sc55 && doins "${DISTDIR}"/d2xr-sc55-music.zip
- doicon ${PN}.xpm
-
- dogamesbin d2x-rebirth
- make_desktop_entry d2x-rebirth "Descent 2 Rebirth" ${PN}
- prepgamesdirs
-}
-
-pkg_postinst() {
- games_pkg_postinst
- elog "You need to copy data-files from original Descent 2 installation"
- elog "to ${GAMES_DATADIR}/d2x. Please read "
- elog "/usr/share/doc/${PF}/INSTALL.txt for more info."
- elog "You can emerge games-action/descent2-demodata (for Demo) or"
- elog "games-action/descent2-data (if you have original Descent 2 CD)."
-}
diff --git a/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild b/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
index afb417c..04e2243 100644
--- a/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
+++ b/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
@@ -1,82 +1,92 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="5"
+EAPI=5
+
inherit eutils games scons-utils
DV=2
+MY_P=${PN}_v${PV}-src
DESCRIPTION="Descent Rebirth - enhanced Descent ${DV} engine"
HOMEPAGE="http://www.dxx-rebirth.com/"
-SRC_URI="mirror://sourceforge/dxx-rebirth/${PN}_v${PV}-src.tar.gz
- opl3? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-opl3-music.zip )
- sc55? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-sc55-music.zip )
- linguas_de? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-briefings-ger.zip )"
+SRC_URI="mirror://sourceforge/dxx-rebirth/${MY_P}.tar.gz
+ opl3-musicpack? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-opl3-music.dxa )
+ sc55-musicpack? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-sc55-music.dxa )
+ linguas_de? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-briefings-ger.dxa )"
-LICENSE="D1X GPL-2 as-is"
+LICENSE="D1X GPL-2 public-domain"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="cdinstall debug ipv6 linguas_de +opengl opl3 sc55 +timidity"
+IUSE="+data debug ipv6 linguas_de +music +opengl opl3-musicpack sc55-musicpack"
+
+REQUIRED_USE="?? ( opl3-musicpack sc55-musicpack )
+ opl3-musicpack? ( music )
+ sc55-musicpack? ( music )"
+
+RDEPEND="dev-games/physfs[hog,mvl,zip]
+ media-libs/libsdl:0[X,audio,joystick,opengl?,video]
+ music? (
+ media-libs/sdl-mixer:0[timidity,vorbis]
+ )
+ opengl? (
+ virtual/opengl
+ virtual/glu
+ )"
+DEPEND="${RDEPEND}"
+PDEPEND="data? ( || (
+ games-action/descent2-data
+ games-action/descent2-demodata
+) )"
-DEPEND="opengl? ( virtual/opengl virtual/glu )
- dev-games/physfs[hog,mvl,zip]
- media-libs/libsdl:0[audio,opengl?,video]
- media-libs/sdl-mixer:0[timidity?]"
-RDEPEND="${DEPEND}
- cdinstall? ( games-action/descent2-data )
- !cdinstall? ( games-action/descent2-demodata )"
+S=${WORKDIR}/${MY_P}
-S=${WORKDIR}/${PN}_v${PV}-src
+RESTRICT=mirror
src_unpack() {
- unpack ${PN}_v${PV}-src.tar.gz
+ unpack ${MY_P}.tar.gz
+}
+
+src_prepare() {
+ DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
+ edos2unix ${DOCS[@]}
}
src_compile() {
escons \
verbosebuild=1 \
sharepath="${GAMES_DATADIR}/d${DV}x" \
- sdlmixer=1 \
$(use_scons debug) \
$(use_scons ipv6) \
+ $(use_scons music sdlmixer) \
+ $(use_scons opengl) \
|| die
}
src_install() {
-
- local DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
- edos2unix ${DOCS[@]} || die
- dodoc ${DOCS[@]} || die
+ dodoc ${DOCS[@]}
insinto "${GAMES_DATADIR}/d${DV}x"
- # None of the following zip files need to be extracted.
- if use linguas_de ; then
- doins "${DISTDIR}"/d${DV}xr-briefings-ger.zip || die
- fi
- if use opl3 ; then
- doins "${DISTDIR}"/d${DV}xr-opl3-music.zip || die
- fi
- if use sc55 ; then
- doins "${DISTDIR}"/d${DV}xr-sc55-music.zip || die
- fi
+ use opl3-musicpack && doins "${DISTDIR}"/d${DV}xr-opl3-music.dxa
+ use sc55-musicpack && doins "${DISTDIR}"/d${DV}xr-sc55-music.dxa
+ use linguas_de && doins "${DISTDIR}"/d${DV}xr-briefings-ger.dxa
- doicon "${S}/${PN}.xpm" || die
+ doicon "${S}/${PN}.xpm"
- local EXE=${PN}
- newgamesbin ${EXE} ${EXE} || die
- make_desktop_entry ${PN} "Descent ${DV} Rebirth" || die
+ dogamesbin d${DV}x-rebirth
+ make_desktop_entry d${DV}x-rebirth "Descent ${DV} Rebirth"
prepgamesdirs
}
pkg_postinst() {
games_pkg_postinst
- if ! use cdinstall ; then
+
+ if ! use data ; then
echo
- elog "The Descent ${DV} Demo data has been installed."
- elog "To play the full game enable USE=\"cdinstall\" or manually "
+ elog "To play the game enable USE=\"data\" or manually "
elog "copy the files to ${GAMES_DATADIR}/d${DV}x."
- elog "Use bzcat /usr/share/doc/${PF}/INSTALL.txt.bz2 for details."
+ elog "See /usr/share/doc/${PF}/INSTALL.txt.bz2 for details."
echo
fi
}
diff --git a/games-action/d2x-rebirth/d2x-rebirth-0.58.1.ebuild b/games-action/d2x-rebirth/d2x-rebirth-0.58.1.ebuild
new file mode 100644
index 0000000..29555e1
--- /dev/null
+++ b/games-action/d2x-rebirth/d2x-rebirth-0.58.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils games scons-utils
+
+DV=2
+MY_P=${PN}_v${PV}-src
+DESCRIPTION="Descent Rebirth - enhanced Descent ${DV} engine"
+HOMEPAGE="http://www.dxx-rebirth.com/"
+SRC_URI="http://www.dxx-rebirth.com/download/dxx/${MY_P}.tar.gz
+ opl3-musicpack? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-opl3-music.dxa )
+ sc55-musicpack? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-sc55-music.dxa )
+ linguas_de? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-briefings-ger.dxa )"
+
+LICENSE="D1X GPL-2 public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+data debug ipv6 linguas_de +music +opengl opl3-musicpack sc55-musicpack"
+
+REQUIRED_USE="?? ( opl3-musicpack sc55-musicpack )
+ opl3-musicpack? ( music )
+ sc55-musicpack? ( music )"
+
+RDEPEND="dev-games/physfs[hog,mvl,zip]
+ media-libs/libsdl:0[X,audio,joystick,opengl?,video]
+ music? (
+ media-libs/sdl-mixer:0[timidity,vorbis]
+ )
+ opengl? (
+ virtual/opengl
+ virtual/glu
+ )"
+DEPEND="${RDEPEND}"
+PDEPEND="data? ( || (
+ games-action/descent2-data
+ games-action/descent2-demodata
+) )"
+
+S=${WORKDIR}/${MY_P}
+
+RESTRICT=mirror
+
+src_unpack() {
+ unpack ${MY_P}.tar.gz
+}
+
+src_prepare() {
+ DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
+ edos2unix ${DOCS[@]}
+}
+
+src_compile() {
+ escons \
+ verbosebuild=1 \
+ sharepath="${GAMES_DATADIR}/d${DV}x" \
+ $(use_scons debug) \
+ $(use_scons ipv6) \
+ $(use_scons music sdlmixer) \
+ $(use_scons opengl) \
+ || die
+}
+
+src_install() {
+ dodoc ${DOCS[@]}
+
+ insinto "${GAMES_DATADIR}/d${DV}x"
+
+ use opl3-musicpack && doins "${DISTDIR}"/d${DV}xr-opl3-music.dxa
+ use sc55-musicpack && doins "${DISTDIR}"/d${DV}xr-sc55-music.dxa
+ use linguas_de && doins "${DISTDIR}"/d${DV}xr-briefings-ger.dxa
+
+ doicon "${S}/${PN}.xpm"
+
+ dogamesbin d${DV}x-rebirth
+ make_desktop_entry d${DV}x-rebirth "Descent ${DV} Rebirth"
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ if ! use data ; then
+ echo
+ elog "To play the game enable USE=\"data\" or manually "
+ elog "copy the files to ${GAMES_DATADIR}/d${DV}x."
+ elog "See /usr/share/doc/${PF}/INSTALL.txt.bz2 for details."
+ echo
+ fi
+}
diff --git a/games-action/d2x-rebirth/metadata.xml b/games-action/d2x-rebirth/metadata.xml
index 278acf5..2fd949c 100644
--- a/games-action/d2x-rebirth/metadata.xml
+++ b/games-action/d2x-rebirth/metadata.xml
@@ -15,9 +15,9 @@
<use>
<flag name="linguas_de">Provides German translations for the game's
briefings, robot descriptions, and outro of the original campaign</flag>
- <flag name="opl3">Include alternate version of the game's music, recorded
- with the Yamaha YMF262 OPL3 soundchip</flag>
- <flag name="sc55">Include alternate version of the game's music, recorded
- with the Roland Sound Canvas SC-55 MIDI module</flag>
+ <flag name="opl3-musicpack">Include alternate version of the game's
+ music, recorded with the Yamaha YMF262 OPL3 soundchip</flag>
+ <flag name="sc55-musicpack">Include alternate version of the game's
+ music, recorded with the Roland Sound Canvas SC-55 MIDI module</flag>
</use>
</pkgmetadata>
diff --git a/games-action/d2x-xl/d2x-xl-1.16.15.ebuild b/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
index 7347c58..f766f6b 100644
--- a/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
+++ b/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="5"
+EAPI=5
inherit autotools eutils flag-o-matic toolchain-funcs games
@@ -87,19 +87,17 @@ src_configure() {
local DEBUG_CONF="--disable-debug --enable-release"
use debug && DEBUG_CONF="--enable-debug --disable-release"
- egamesconf ${DEBUG_CONF} --with-opengl || die
+ egamesconf ${DEBUG_CONF} --with-opengl
}
src_install() {
- if use icon; then
- newicon "${PN}_1_48x48x32.png" "${PN}.png" || die
- fi
+ use icon && newicon "${PN}_1_48x48x32.png" "${PN}.png"
- dogamesbin "${PN}" || die
+ dogamesbin "${PN}"
make_desktop_entry "${PN}" "D2X-XL" "${PN}"
# Unpack D2X-XL data files.
- dodir "${DIR}" || die
+ dodir "${DIR}"
cd "${D}${DIR}" || die
unpack "${DATA_FILE}"
diff --git a/games-action/descent1-data/descent1-data-1.0-r1.ebuild b/games-action/descent1-data/descent1-data-1.0-r1.ebuild
index 2a19d96..f6e268f 100644
--- a/games-action/descent1-data/descent1-data-1.0-r1.ebuild
+++ b/games-action/descent1-data/descent1-data-1.0-r1.ebuild
@@ -2,28 +2,21 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="5"
+EAPI=5
+CDROM_OPTIONAL="yes"
inherit cdrom eutils games
-MY_PV=${PV/./}
-
MY_EXE="setup_descent_1_2.exe"
DESCRIPTION="Data files for Descent 1"
HOMEPAGE="http://www.interplay.com/games/support.php?id=263"
SRC_URI="http://www.dxx-rebirth.com/download/dxx/res/d1datapt.zip
!cdinstall? ( $MY_EXE )"
-# Don't have a method of applying the ver 1.2 patch in Linux
-# http://www.interplay.com/support/product.asp?GameID=109
-# mirror://3dgamers/descent2/d2ptch${MY_PV}.exe
-# See readme.txt
LICENSE="${PN}"
SLOT="0"
KEYWORDS="amd64 x86"
-PROPERTIES=""
-CDROM_OPTIONAL="yes"
RESTRICT="!cdinstall? ( fetch )"
IUSE="+cdinstall doc"
@@ -36,7 +29,8 @@ DEPEND="app-arch/unzip
S=${WORKDIR}
dir=${GAMES_DATADIR}/d1x
-# Function to handle copying and renaming files from installation directory
+# Function to handle copying and renaming files from installation directory;
+# Allows support of installation sources using capitalized file names
copy_file() {
local dest="${2}"
local f=$(basename "${1}")
@@ -121,10 +115,9 @@ src_prepare() {
fi
}
-
src_install() {
insinto "${dir}"
- doins * || die "doins * failed"
+ doins *
insinto "${dir}/missions"
doins missions/*
diff --git a/games-action/descent2-data/descent2-data-1.0-r2.ebuild b/games-action/descent2-data/descent2-data-1.0-r2.ebuild
index a852fc5..324e4f1 100644
--- a/games-action/descent2-data/descent2-data-1.0-r2.ebuild
+++ b/games-action/descent2-data/descent2-data-1.0-r2.ebuild
@@ -1,21 +1,23 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="5"
+EAPI=5
inherit cdrom eutils games
-MY_PV=${PV/./}
+# Not possible to apply official 1.2 patch under Linux, so provide our own
+# http://www.interplay.com/support/support.php?id=104
+# Should only be needed for original DOS CD-ROM release
+MY_PATCH="http://totktonada.ru/gentoo/distfiles/d2xptch12.tgz"
+# For GOG install
MY_EXE="setup_descent_1_2.exe"
DESCRIPTION="Data files for Descent 2"
HOMEPAGE="http://www.interplay.com/games/support.php?id=104"
-SRC_URI="!cdinstall? ( $MY_EXE )"
-# Don't have a method of applying the ver 1.2 patch in Linux
-# http://www.interplay.com/support/product.asp?GameID=109
-# mirror://3dgamers/descent2/d2ptch${MY_PV}.exe
+SRC_URI="cdinstall? ( $MY_PATCH )
+ !cdinstall? ( $MY_EXE )"
# See readme.txt
LICENSE="${PN}"
@@ -34,6 +36,9 @@ IUSE="+cdinstall doc vertigo videos"
RDEPEND="!<games-action/d2x-0.2.5-r3"
DEPEND="app-arch/unarj
vertigo? ( games-action/descent2-vertigo )
+ cdinstall? (
+ dev-util/xdelta:3
+ )
!cdinstall? (
app-arch/innoextract
app-arch/unzip
@@ -93,15 +98,21 @@ pkg_setup() {
}
src_unpack() {
- mkdir "${WORKDIR}/missions"
+ mkdir "${WORKDIR}"/{demos,missions}
+ use cdinstall && unpack ${MY_PATCH}
# Extract level data if installing from CD
if [ "${F_SOURCE}" == "cd" ]; then
unarj e "${F_ROOT}/descent2.sow" || die "unarj '${F_ROOT}/descent2.sow' failed"
# Remove files not needed by any Linux native client
- rm -f *.{bat,dll,exe,ini,lst}
- rm -f endnote.txt
+ rm -f *.{bat,dll,exe,ini,lst} endnote.txt
+
+ # Move missions to appropriate directory
+ mv d2-2plyr.{hog,mn2} d2chaos.{hog,mn2} missions/
+
+ # Move demos to appropriate directory
+ mv *.dem demos/
# Othwerwise, copy files if pulling from install source
else
@@ -109,7 +120,7 @@ src_unpack() {
if ! use cdinstall; then
einfo "Unpacking ${MY_EXE}. This will take a while..."
mkdir gog && cd gog || die "mkdir failed"
- innoextract -e -s -L "${DISTDIR}/${MY_EXE}" || die "innoextract failed"
+ innoextract -e -s -p1 -L "${DISTDIR}/${MY_EXE}" || die "innoextract failed"
cd ..
fi
@@ -117,10 +128,13 @@ src_unpack() {
copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
done
- # Also copy optional missions if available
+ # Also copy optional missions and demos if available
for i in "${F_ROOT}"/{missions,MISSIONS}/*; do
copy_file "$i" "${WORKDIR}/missions" || die "copy '${i}' failed"
done
+ for i in "${F_ROOT}"/{demos,DEMOS}/*; do
+ copy_file "$i" "${WORKDIR}/demos" || die "copy '${i}' failed"
+ done
fi
# Also copy video files if desired
@@ -136,21 +150,44 @@ src_unpack() {
fi
# Also copy low resolution movie files (not available from GOG)
- for i in "${F_ROOT}"/*-{l.mvl,L.MVL}; do
- copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
- done
+ # Would anyone really want low-res videos at this point? Probably not.
+ #for i in "${F_ROOT}"/*-{l.mvl,L.MVL}; do
+ # copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ #done
+ fi
+
+}
+
+src_prepare() {
+ # Patch to 1.2 if necessary
+ if use cdinstall; then
+ if [ "$(md5sum descent2.ham)" != "7f30c3d7d4087b8584b49012a53ce022" ]; then
+ for i in *.xdelta; do
+ xdelta3 -d -s ${i%.*} ${i} ${i%.*}.new \
+ || die "patch ${i%.*} failed"
+ mv ${i%.*}.new ${i%.*} || die "patch ${i%.*} failed"
+ done
+ fi
+ rm *.xdelta
fi
mkdir doc
- mv *.txt *.pdf doc/
+ mv *.{txt,pdf} doc/
}
src_install() {
insinto "${dir}"
- doins * || die "doins * failed"
+ doins *
- insinto "${dir}/missions"
- doins missions/*
+ if [ "$(ls -A missions/)" ]; then
+ insinto "${dir}/missions"
+ doins missions/*
+ fi
+
+ if [ "$(ls -A demos/)" ]; then
+ insinto "${dir}/demos"
+ doins demos/*
+ fi
if use doc; then
dodoc doc/*.txt
diff --git a/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild b/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
index 0476acb..8f59fd0 100644
--- a/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
+++ b/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="5"
+EAPI=5
inherit cdrom eutils games
@@ -79,9 +79,10 @@ src_unpack() {
fi
# Also copy low resolution movie files (not available from GOG)
- for i in "${F_ROOT}"/*-{l.mvl,L.MVL}; do
- copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
- done
+ # Would anyone really want low-res videos at this point? Probably not.
+ #for i in "${F_ROOT}"/*-{l.mvl,L.MVL}; do
+ # copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ #done
fi
mkdir doc
@@ -90,7 +91,7 @@ src_unpack() {
src_install() {
insinto "${dir}"
- doins * || die "doins * failed"
+ doins *
insinto "${dir}/missions"
doins missions/*
diff --git a/licenses/D1X b/licenses/D1X
new file mode 100644
index 0000000..3da2265
--- /dev/null
+++ b/licenses/D1X
@@ -0,0 +1,44 @@
+D1x License
+
+Preamble
+--------
+
+This License is designed to allow the Descent programming community to
+continue to have the Descent source open and available to anyone.
+
+Original Parallax License
+-------------------------
+
+THE COMPUTER CODE CONTAINED HEREIN IS THE SOLE PROPERTY OF PARALLAX
+SOFTWARE CORPORATION ("PARALLAX"). PARALLAX, IN DISTRIBUTING THE CODE TO
+END-USERS, AND SUBJECT TO ALL OF THE TERMS AND CONDITIONS HEREIN, GRANTS A
+ROYALTY-FREE, PERPETUAL LICENSE TO SUCH END-USERS FOR USE BY SUCH END-USERS
+IN USING, DISPLAYING, AND CREATING DERIVATIVE WORKS THEREOF, SO LONG AS
+SUCH USE, DISPLAY OR CREATION IS FOR NON-COMMERCIAL, ROYALTY OR REVENUE
+FREE PURPOSES. IN NO EVENT SHALL THE END-USER USE THE COMPUTER CODE
+CONTAINED HEREIN FOR REVENUE-BEARING PURPOSES. THE END-USER UNDERSTANDS
+AND AGREES TO THE TERMS HEREIN AND ACCEPTS THE SAME BY USE OF THIS FILE.
+COPYRIGHT 1993-1998 PARALLAX SOFTWARE CORPORATION. ALL RIGHTS RESERVED.
+
+We make no warranties as to the usability or correctness of this code.
+-------------------------
+
+The D1x project is the combination of the original Parallax code and the
+modifications and additions made to source code. While the original code is
+only under the Original Parallax License the D1x project contains original
+code that was not made by Parallax. This ADDED and/or CHANGED code has the
+following added restrictions:
+
+1) By using this source you are agreeing to these terms.
+
+2) D1x and derived works may only be modified if ONE of the following is done:
+
+ a) The modified version is placed under this license. The source
+ code used to create the modified version is freely and publicly
+ available under this license.
+
+ b) The modified version is only used by the developer.
+
+3) D1X IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
+IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
+WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] proj/gamerlay:master commit in: games-action/descent2-vertigo/, games-action/descent2-data/, ...
@ 2013-08-05 14:01 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 4+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2013-08-05 14:01 UTC (permalink / raw
To: gentoo-commits
commit: 3b512605d70044feb89a04938b6c021d71aeeff0
Author: Alexander Turenko <alextux <AT> bk <DOT> ru>
AuthorDate: Mon Aug 5 12:56:33 2013 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Mon Aug 5 14:00:20 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=3b512605
Updates for d{1,2}x-* and descent{1,2}-* ebuilds.
* CFLAGS and LDFLAGS fixing patches from main tree.
* Proper 'die' messages.
* Remove trailing whitespaces from license file.
---
games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild | 1 +
games-action/d1x-rebirth/d1x-rebirth-0.58.1.ebuild | 1 +
.../files/d1x-rebirth-0.57.3-flags.patch | 21 ++++++++++++
.../files/d1x-rebirth-0.58.1-flags.patch | 27 +++++++++++++++
games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild | 1 +
games-action/d2x-rebirth/d2x-rebirth-0.58.1.ebuild | 1 +
.../files/d2x-rebirth-0.57.3-flags.patch | 21 ++++++++++++
.../files/d2x-rebirth-0.58.1-flags.patch | 27 +++++++++++++++
games-action/d2x-xl/d2x-xl-1.16.15.ebuild | 39 +++++++++++++---------
.../descent1-data/descent1-data-1.0-r1.ebuild | 18 +++++-----
.../descent2-data/descent2-data-1.0-r2.ebuild | 39 +++++++++++-----------
.../descent2-vertigo/descent2-vertigo-1.0.ebuild | 22 ++++++------
12 files changed, 163 insertions(+), 55 deletions(-)
diff --git a/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild b/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
index d0f1aea..b618cc6 100644
--- a/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
+++ b/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
@@ -51,6 +51,7 @@ src_unpack() {
src_prepare() {
DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
edos2unix ${DOCS[@]}
+ epatch "${FILESDIR}"/${P}-flags.patch
}
src_compile() {
diff --git a/games-action/d1x-rebirth/d1x-rebirth-0.58.1.ebuild b/games-action/d1x-rebirth/d1x-rebirth-0.58.1.ebuild
index eaecb2f..475c3dc 100644
--- a/games-action/d1x-rebirth/d1x-rebirth-0.58.1.ebuild
+++ b/games-action/d1x-rebirth/d1x-rebirth-0.58.1.ebuild
@@ -51,6 +51,7 @@ src_unpack() {
src_prepare() {
DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
edos2unix ${DOCS[@]}
+ epatch "${FILESDIR}"/${P}-flags.patch
}
src_compile() {
diff --git a/games-action/d1x-rebirth/files/d1x-rebirth-0.57.3-flags.patch b/games-action/d1x-rebirth/files/d1x-rebirth-0.57.3-flags.patch
new file mode 100644
index 0000000..ae7d460
--- /dev/null
+++ b/games-action/d1x-rebirth/files/d1x-rebirth-0.57.3-flags.patch
@@ -0,0 +1,21 @@
+--- d1x-rebirth_v0.57.3-src/SConstruct
++++ d1x-rebirth_v0.57.3-src/SConstruct
+@@ -390,7 +390,6 @@
+ env.Append(CPPFLAGS = ['-g'])
+ else:
+ env.Append(CPPDEFINES = ['NDEBUG', 'RELEASE'])
+- env.Append(CPPFLAGS = ['-O2'])
+
+ # profiler?
+ if (profiler == 1):
+@@ -419,8 +418,9 @@
+ print '\n'
+
+ env.Append(CPPDEFINES = [('SHAREPATH', '\\"' + str(sharepath) + '\\"')])
++env.Append(LINKFLAGS = [str(lflags)])
+ # finally building program...
+-env.Program(target=str(target), source = common_sources, LIBS = libs, LINKFLAGS = str(lflags))
++env.Program(target=str(target), source = common_sources, LIBS = libs)
+ if (sys.platform != 'darwin'):
+ env.Install(BIN_DIR, str(target))
+ env.Alias('install', BIN_DIR)
diff --git a/games-action/d1x-rebirth/files/d1x-rebirth-0.58.1-flags.patch b/games-action/d1x-rebirth/files/d1x-rebirth-0.58.1-flags.patch
new file mode 100644
index 0000000..5dd5ca9
--- /dev/null
+++ b/games-action/d1x-rebirth/files/d1x-rebirth-0.58.1-flags.patch
@@ -0,0 +1,27 @@
+--- d1x-rebirth_v0.58.1-src/SConstruct
++++ d1x-rebirth_v0.58.1-src/SConstruct
+@@ -218,7 +218,6 @@
+ env.Append(CPPFLAGS = ['-g'])
+ else:
+ env.Append(CPPDEFINES = ['NDEBUG', 'RELEASE'])
+- env.Append(CPPFLAGS = ['-O2'])
+
+ # profiler?
+ if (self.user_settings.profiler == 1):
+@@ -352,6 +351,7 @@
+ self.common_sources += self.sources_use_udp
+
+ env.Append(CPPDEFINES = [('SHAREPATH', '\\"' + str(self.user_settings.sharepath) + '\\"')])
++ env.Append(LINKFLAGS = [str(self.platform_settings.lflags)])
+
+ def _register_program(self,dxxstr,program_specific_objects=[]):
+ env = self.env
+@@ -364,7 +364,7 @@
+ versid_cppdefines.append(('DESCENT_VERSION_EXTRA', '\\"%s\\"' % self.user_settings.extra_version))
+ objects.append(self.env.StaticObject(target='%s%s%s' % (self.user_settings.builddir, 'main/vers_id', self.env["OBJSUFFIX"]), source='main/vers_id.c', CPPDEFINES=versid_cppdefines))
+ # finally building program...
+- env.Program(target='%s%s' % (self.user_settings.builddir, str(exe_target)), source = objects, LIBS = self.platform_settings.libs, LINKFLAGS = str(self.platform_settings.lflags))
++ env.Program(target='%s%s' % (self.user_settings.builddir, str(exe_target)), source = objects, LIBS = self.platform_settings.libs)
+ if (sys.platform != 'darwin'):
+ env.Install(self.user_settings.BIN_DIR, str(exe_target))
+ env.Alias('install', self.user_settings.BIN_DIR)
diff --git a/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild b/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
index 04e2243..7cf84e5 100644
--- a/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
+++ b/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
@@ -50,6 +50,7 @@ src_unpack() {
src_prepare() {
DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
edos2unix ${DOCS[@]}
+ epatch "${FILESDIR}"/${P}-flags.patch
}
src_compile() {
diff --git a/games-action/d2x-rebirth/d2x-rebirth-0.58.1.ebuild b/games-action/d2x-rebirth/d2x-rebirth-0.58.1.ebuild
index 29555e1..a60ea61 100644
--- a/games-action/d2x-rebirth/d2x-rebirth-0.58.1.ebuild
+++ b/games-action/d2x-rebirth/d2x-rebirth-0.58.1.ebuild
@@ -50,6 +50,7 @@ src_unpack() {
src_prepare() {
DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
edos2unix ${DOCS[@]}
+ epatch "${FILESDIR}"/${P}-flags.patch
}
src_compile() {
diff --git a/games-action/d2x-rebirth/files/d2x-rebirth-0.57.3-flags.patch b/games-action/d2x-rebirth/files/d2x-rebirth-0.57.3-flags.patch
new file mode 100644
index 0000000..0284dcb
--- /dev/null
+++ b/games-action/d2x-rebirth/files/d2x-rebirth-0.57.3-flags.patch
@@ -0,0 +1,21 @@
+--- d2x-rebirth_v0.57.3-src/SConstruct
++++ d2x-rebirth_v0.57.3-src/SConstruct
+@@ -399,7 +399,6 @@
+ env.Append(CPPFLAGS = ['-g'])
+ else:
+ env.Append(CPPDEFINES = ['NDEBUG', 'RELEASE'])
+- env.Append(CPPFLAGS = ['-O2'])
+
+ # profiler?
+ if (profiler == 1):
+@@ -428,8 +427,9 @@
+ print '\n'
+
+ env.Append(CPPDEFINES = [('SHAREPATH', '\\"' + str(sharepath) + '\\"')])
++env.Append(LINKFLAGS = [str(lflags)])
+ # finally building program...
+-env.Program(target=str(target), source = common_sources, LIBS = libs, LINKFLAGS = str(lflags))
++env.Program(target=str(target), source = common_sources, LIBS = libs)
+ if (sys.platform != 'darwin'):
+ env.Install(BIN_DIR, str(target))
+ env.Alias('install', BIN_DIR)
diff --git a/games-action/d2x-rebirth/files/d2x-rebirth-0.58.1-flags.patch b/games-action/d2x-rebirth/files/d2x-rebirth-0.58.1-flags.patch
new file mode 100644
index 0000000..caa80ea
--- /dev/null
+++ b/games-action/d2x-rebirth/files/d2x-rebirth-0.58.1-flags.patch
@@ -0,0 +1,27 @@
+--- d2x-rebirth_v0.58.1-src/SConstruct
++++ d2x-rebirth_v0.58.1-src/SConstruct
+@@ -220,7 +220,6 @@
+ env.Append(CPPFLAGS = ['-g'])
+ else:
+ env.Append(CPPDEFINES = ['NDEBUG', 'RELEASE'])
+- env.Append(CPPFLAGS = ['-O2'])
+
+ # profiler?
+ if (self.user_settings.profiler == 1):
+@@ -354,6 +353,7 @@
+ self.common_sources += self.sources_use_udp
+
+ env.Append(CPPDEFINES = [('SHAREPATH', '\\"' + str(self.user_settings.sharepath) + '\\"')])
++ env.Append(LINKFLAGS = [str(self.platform_settings.lflags)])
+
+ def _register_program(self,dxxstr,program_specific_objects=[]):
+ env = self.env
+@@ -368,7 +368,7 @@
+ versid_cppdefines.append(('DESCENT_VERSION_EXTRA', '\\"%s\\"' % self.user_settings.extra_version))
+ objects.append(self.env.StaticObject(target='%s%s%s' % (self.user_settings.builddir, 'main/vers_id', self.env["OBJSUFFIX"]), source='main/vers_id.c', CPPDEFINES=versid_cppdefines))
+ # finally building program...
+- env.Program(target='%s%s' % (self.user_settings.builddir, str(exe_target)), source = objects, LIBS = self.platform_settings.libs, LINKFLAGS = str(self.platform_settings.lflags))
++ env.Program(target='%s%s' % (self.user_settings.builddir, str(exe_target)), source = objects, LIBS = self.platform_settings.libs)
+ if (sys.platform != 'darwin'):
+ if self.user_settings.register_install_target:
+ install_dir = os.path.join(self.user_settings.DESTDIR or '', self.user_settings.BIN_DIR)
diff --git a/games-action/d2x-xl/d2x-xl-1.16.15.ebuild b/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
index f766f6b..b92355b 100644
--- a/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
+++ b/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
@@ -61,20 +61,24 @@ src_unpack() {
src_prepare() {
if use icon ; then
- icotool -x "${PN}.ico" || die
+ icotool -x "${PN}.ico" || die "icotool failed"
fi
# Use our own data directory.
- sed -i "s:/usr/local/games/${PN}:${DIR}:g" main/{setup,gamefolders}.cpp || die
+ sed -i "s:/usr/local/games/${PN}:${DIR}:g" main/{setup,gamefolders}.cpp || \
+ die "sed #1 failed"
# Don't need these libraries.
- sed -i -r "/d2x_sdl_LDADD/s/-l(Xm|Xt|X11)//g" Makefile.am || die
+ sed -i -r "/d2x_sdl_LDADD/s/-l(Xm|Xt|X11)//g" Makefile.am || \
+ die "sed #2 failed"
# Strip C(XX)FLAGS.
- sed -i -r "/C(XX)?FLAGS/s/-(fopenmp|g|O[0-9])//g" configure.ac || die
+ sed -i -r "/C(XX)?FLAGS/s/-(fopenmp|g|O[0-9])//g" configure.ac || \
+ die "sed #3 failed"
- chmod a+x ./autogen.sh && ./autogen.sh
- chmod +x configure || die
+ chmod a+x ./autogen.sh || die "chmod #1 failed"
+ ./autogen.sh || die "autogen.sh failed"
+ chmod +x configure || die "chmod #2 failed"
eautoreconf
}
@@ -98,24 +102,26 @@ src_install() {
# Unpack D2X-XL data files.
dodir "${DIR}"
- cd "${D}${DIR}" || die
+ cd "${D}${DIR}" || die "cd \"${D}${DIR}\" failed"
unpack "${DATA_FILE}"
# Symlink original data files, which may or may not be present.
if use descent1; then
- ln -s ../../d1x/descent.{hog,pig} data/ || die
+ ln -s ../../d1x/descent.{hog,pig} data/ || die "ln #1 failed"
fi
if use descent2; then
- ln -s ../../d2x/descent2.{ham,hog,s11,s22} data/ || die
- ln -s ../../d2x/{groupa,alien{1,2},fire,ice,water}.pig data/ || die
+ ln -s ../../d2x/descent2.{ham,hog,s11,s22} data/ || \
+ die "ln #2 failed"
+ ln -s ../../d2x/{groupa,alien{1,2},fire,ice,water}.pig data/ || \
+ die "ln #3 failed"
fi
if use descent2-vertigo; then
- ln -s ../../d2x/hoard.ham data/ || die
- mkdir missions || die
- ln -s ../../d2x/missions/d2x.{hog,mn2} missions/ || die
+ ln -s ../../d2x/hoard.ham data/ || die "ln #4 failed"
+ mkdir missions || die "mdir missions failed"
+ ln -s ../../d2x/missions/d2x.{hog,mn2} missions/ || die "ln #5 failed"
fi
# Optional data.
@@ -127,9 +133,10 @@ src_install() {
for X in ${D2_TEXTURES}; do unpack "D2-hires-${X}.7z"; done
# Make everything lower case.
- mv textures/D1 textures/d1 || die
- mv sounds2/D1 sounds2/d1 || die
- find -name "*[A-Z]*" -exec sh -c 'mv {} $(echo {} | tr A-Z a-z)' \; || die
+ mv textures/D1 textures/d1 || die "mv #1 failed"
+ mv sounds2/D1 sounds2/d1 || die "mv #2 failed"
+ find -name "*[A-Z]*" -exec sh -c 'mv {} $(echo {} | tr A-Z a-z)' \; || \
+ die "find -exec mv failed"
fi
prepgamesdirs
diff --git a/games-action/descent1-data/descent1-data-1.0-r1.ebuild b/games-action/descent1-data/descent1-data-1.0-r1.ebuild
index f6e268f..9d58c9e 100644
--- a/games-action/descent1-data/descent1-data-1.0-r1.ebuild
+++ b/games-action/descent1-data/descent1-data-1.0-r1.ebuild
@@ -39,8 +39,8 @@ copy_file() {
else
echo "Copying '${f}'"
local d=$(echo ${f} | tr "[:upper:]" "[:lower:]")
- cp -f "${1}" "${dest}/${d}"
- return $?
+ cp -f "${1}" "${dest}/${d}" || die "copy ${1} failed"
+ return 0
fi
}
@@ -80,19 +80,19 @@ pkg_setup() {
}
src_unpack() {
- mkdir "${WORKDIR}/missions"
+ mkdir "${WORKDIR}/missions" || die "mkdir missions failed"
# Unpack GOG package if necessary
if ! use cdinstall; then
- einfo "Unpacking ${MY_EXE}. This will take a while..."
- mkdir gog && cd gog || die "mkdir failed"
+ einfo "Unpacking ${MY_EXE}. This will take a while..."
+ mkdir gog && cd gog || die "mkdir gog failed"
innoextract -e -s -L "${DISTDIR}/${MY_EXE}" || die "innoextract failed"
- cd ..
+ cd .. || die "cd .. failed"
fi
# Copy all (including optional) mission files
for i in "${F_ROOT}"/*.{hog,HOG,msn,MSN,pig,PIG,txt,TXT,pdf,PDF}; do
- copy_file "$i" "${WORKDIR}/missions" || die "copy '${i}' failed"
+ copy_file "$i" "${WORKDIR}/missions"
done
# Move and validate required files
@@ -102,8 +102,8 @@ src_unpack() {
# Unpack data file patches
unpack d1datapt.zip
- mkdir doc
- mv missions/*.txt missions/*.pdf doc/
+ mkdir doc || die "mkdir doc failed"
+ mv missions/*.txt missions/*.pdf doc/ # ignore fail
}
src_prepare() {
diff --git a/games-action/descent2-data/descent2-data-1.0-r2.ebuild b/games-action/descent2-data/descent2-data-1.0-r2.ebuild
index 324e4f1..f0a9e9d 100644
--- a/games-action/descent2-data/descent2-data-1.0-r2.ebuild
+++ b/games-action/descent2-data/descent2-data-1.0-r2.ebuild
@@ -4,6 +4,7 @@
EAPI=5
+CDROM_OPTIONAL="yes"
inherit cdrom eutils games
# Not possible to apply official 1.2 patch under Linux, so provide our own
@@ -23,7 +24,6 @@ SRC_URI="cdinstall? ( $MY_PATCH )
LICENSE="${PN}"
SLOT="0"
KEYWORDS="amd64 ppc x86"
-PROPERTIES="cdinstall? ( interactive )"
RESTRICT="!cdinstall? ( fetch )"
IUSE="+cdinstall doc vertigo videos"
@@ -56,8 +56,8 @@ copy_file() {
else
echo "Copying '${f}'"
local d=$(echo ${f} | tr "[:upper:]" "[:lower:]")
- cp -f "${1}" "${dest}/${d}"
- return $?
+ cp -f "${1}" "${dest}/${d}" || die "copy ${1} failed"
+ return 0
fi
}
@@ -98,7 +98,7 @@ pkg_setup() {
}
src_unpack() {
- mkdir "${WORKDIR}"/{demos,missions}
+ mkdir "${WORKDIR}"/{demos,missions} || die "mkdir {demos,missions} failed"
use cdinstall && unpack ${MY_PATCH}
# Extract level data if installing from CD
@@ -106,34 +106,35 @@ src_unpack() {
unarj e "${F_ROOT}/descent2.sow" || die "unarj '${F_ROOT}/descent2.sow' failed"
# Remove files not needed by any Linux native client
- rm -f *.{bat,dll,exe,ini,lst} endnote.txt
+ rm -f *.{bat,dll,exe,ini,lst} endnote.txt # ignore fail
# Move missions to appropriate directory
- mv d2-2plyr.{hog,mn2} d2chaos.{hog,mn2} missions/
+ mv d2-2plyr.{hog,mn2} d2chaos.{hog,mn2} missions/ || \
+ die "move missions failed"
# Move demos to appropriate directory
- mv *.dem demos/
+ mv *.dem demos/ || die "move demos failed"
# Othwerwise, copy files if pulling from install source
else
# Extract files from GOG package if necessary
if ! use cdinstall; then
- einfo "Unpacking ${MY_EXE}. This will take a while..."
- mkdir gog && cd gog || die "mkdir failed"
+ einfo "Unpacking ${MY_EXE}. This will take a while..."
+ mkdir gog && cd gog || die "mkdir gog failed"
innoextract -e -s -p1 -L "${DISTDIR}/${MY_EXE}" || die "innoextract failed"
- cd ..
+ cd .. || die "cd .. failed"
fi
for i in "${F_ROOT}"/*.{ham,HAM,hog,HOG,pig,PIG,s11,S11,s22,S22,txt,TXT,pdf,PDF}; do
- copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ copy_file "$i" "${WORKDIR}"
done
# Also copy optional missions and demos if available
for i in "${F_ROOT}"/{missions,MISSIONS}/*; do
- copy_file "$i" "${WORKDIR}/missions" || die "copy '${i}' failed"
+ copy_file "$i" "${WORKDIR}/missions"
done
for i in "${F_ROOT}"/{demos,DEMOS}/*; do
- copy_file "$i" "${WORKDIR}/demos" || die "copy '${i}' failed"
+ copy_file "$i" "${WORKDIR}/demos"
done
fi
@@ -141,7 +142,7 @@ src_unpack() {
if use videos; then
# Require high resolution movie files
for i in "${F_ROOT}"/*-{h.mvl,H.MVL}; do
- copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ copy_file "$i" "${WORKDIR}"
done
if [ ! -f "${WORKDIR}/intro-h.mvl" \
-o ! -f "${WORKDIR}/other-h.mvl" \
@@ -150,9 +151,9 @@ src_unpack() {
fi
# Also copy low resolution movie files (not available from GOG)
- # Would anyone really want low-res videos at this point? Probably not.
+ # Would anyone really want low-res videos at this point? Probably not.
#for i in "${F_ROOT}"/*-{l.mvl,L.MVL}; do
- # copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ # copy_file "$i" "${WORKDIR}"
#done
fi
@@ -168,11 +169,11 @@ src_prepare() {
mv ${i%.*}.new ${i%.*} || die "patch ${i%.*} failed"
done
fi
- rm *.xdelta
+ rm *.xdelta || die "rm *.xdelta"
fi
- mkdir doc
- mv *.{txt,pdf} doc/
+ mkdir doc || die "mkdir doc failed"
+ mv *.{txt,pdf} doc/ # ignore fail
}
src_install() {
diff --git a/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild b/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
index 8f59fd0..4726c2b 100644
--- a/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
+++ b/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
@@ -31,8 +31,8 @@ copy_file() {
else
echo "Copying '${f}'"
local d=$(echo ${f} | tr "[:upper:]" "[:lower:]")
- cp -f "${1}" "${dest}/${d}"
- return $?
+ cp -f "${1}" "${dest}/${d}" || die "copy ${1} failed"
+ return 0
fi
}
@@ -51,42 +51,42 @@ pkg_setup() {
}
src_unpack() {
- mkdir "${WORKDIR}/missions"
+ mkdir "${WORKDIR}/missions" || die "mkdir missions failed"
# Copy index files
for i in "${F_ROOT}"/{{hoard.ham,HOARD.HAM},*.{txt,TXT}}; do
- copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ copy_file "$i" "${WORKDIR}"
done
# Copy mission files
for i in "${F_ROOT}"/{d2x,D2X}.{hog,HOG,mn2,MN2}; do
- copy_file "$i" "${WORKDIR}/missions" || die "copy '${i}' failed"
+ copy_file "$i" "${WORKDIR}/missions"
done
# Copy optional mission files
for i in "${F_ROOT}"/{missions,MISSIONS}/*; do
- copy_file "$i" "${WORKDIR}/missions" || die "copy '${i}' failed"
+ copy_file "$i" "${WORKDIR}/missions"
done
# Also copy video files if desired
if use videos; then
# Require high resolution movie files
for i in "${F_ROOT}"/*-{h.mvl,H.MVL}; do
- copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ copy_file "$i" "${WORKDIR}"
done
if [ ! -f "${WORKDIR}/d2x-h.mvl" ] ; then
die "videos not found"
fi
# Also copy low resolution movie files (not available from GOG)
- # Would anyone really want low-res videos at this point? Probably not.
+ # Would anyone really want low-res videos at this point? Probably not.
#for i in "${F_ROOT}"/*-{l.mvl,L.MVL}; do
- # copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ # copy_file "$i" "${WORKDIR}"
#done
fi
- mkdir doc
- mv *.txt doc/
+ mkdir doc || die "mkdir doc failed"
+ mv *.txt doc/ # ignore fail
}
src_install() {
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] proj/gamerlay:master commit in: games-action/descent2-vertigo/, games-action/descent2-data/, ...
@ 2013-07-27 19:39 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 4+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2013-07-27 19:39 UTC (permalink / raw
To: gentoo-commits
commit: a0a899e480a4467ca83f192831d488b172e2dc3b
Author: Alexander S. Turenko <alextux <AT> bk <DOT> ru>
AuthorDate: Sat Jul 27 19:38:54 2013 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Sat Jul 27 19:38:54 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=a0a899e4
[games-action/[descent{1,2}-*,d{1,2}x-*]] fixing deps
Signed-off-by: Vadim A. Misbakh-Soloviov <mva <AT> mva.name>
---
games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild | 6 +++---
games-action/d2x-rebirth/d2x-rebirth-0.57.1.ebuild | 6 +++---
games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild | 6 +++---
games-action/d2x-xl/d2x-xl-1.16.15.ebuild | 10 +++++-----
games-action/descent1-data/descent1-data-1.0-r1.ebuild | 2 +-
games-action/descent2-data/descent2-data-1.0-r2.ebuild | 2 +-
games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild | 2 ++
7 files changed, 18 insertions(+), 16 deletions(-)
diff --git a/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild b/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
index 6728c2a..23b89bb 100644
--- a/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
+++ b/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=2
+EAPI="5"
inherit eutils games scons-utils
DV=1
@@ -21,8 +21,8 @@ IUSE="cdinstall debug ipv6 linguas_de +opengl opl3 sc55 +textures +timidity"
DEPEND="opengl? ( virtual/opengl virtual/glu )
dev-games/physfs[hog,zip]
- media-libs/libsdl[audio,opengl?,video]
- media-libs/sdl-mixer[timidity?]"
+ media-libs/libsdl[audio,opengl?,video]:0
+ media-libs/sdl-mixer[timidity?]:0"
RDEPEND="${DEPEND}
cdinstall? ( games-action/descent1-data )"
diff --git a/games-action/d2x-rebirth/d2x-rebirth-0.57.1.ebuild b/games-action/d2x-rebirth/d2x-rebirth-0.57.1.ebuild
index 451b59f..70e309b 100644
--- a/games-action/d2x-rebirth/d2x-rebirth-0.57.1.ebuild
+++ b/games-action/d2x-rebirth/d2x-rebirth-0.57.1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=3
+EAPI="5"
inherit games scons-utils
@@ -20,8 +20,8 @@ KEYWORDS="~amd64 ~x86"
IUSE="debug editor ipv6 linguas_de music_awe32 music_opl3 music_sc55 opengl"
DEPEND="dev-games/physfs[hog,mvl,zip]
- media-libs/libsdl
- media-libs/sdl-mixer[vorbis]"
+ media-libs/libsdl:0
+ media-libs/sdl-mixer[vorbis]:0"
RDEPEND="${DEPEND}
opengl? ( virtual/opengl virtual/glu )"
diff --git a/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild b/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
index a9e1875..c923ef7 100644
--- a/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
+++ b/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=2
+EAPI="5"
inherit eutils games scons-utils
DV=2
@@ -20,8 +20,8 @@ IUSE="cdinstall debug ipv6 linguas_de +opengl opl3 sc55 +timidity"
DEPEND="opengl? ( virtual/opengl virtual/glu )
dev-games/physfs[hog,mvl,zip]
- media-libs/libsdl[audio,opengl?,video]
- media-libs/sdl-mixer[timidity?]"
+ media-libs/libsdl[audio,opengl?,video]:0
+ media-libs/sdl-mixer[timidity?]:0"
RDEPEND="${DEPEND}
cdinstall? ( games-action/descent2-data )
!cdinstall? ( games-action/descent2-demodata )"
diff --git a/games-action/d2x-xl/d2x-xl-1.16.15.ebuild b/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
index ee06c1c..7347c58 100644
--- a/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
+++ b/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="2"
+EAPI="5"
inherit autotools eutils flag-o-matic toolchain-funcs games
@@ -36,10 +36,10 @@ KEYWORDS="~amd64 ~x86"
IUSE="descent1 descent2 descent2-vertigo debug icon models openmp sounds textures"
CDEPEND="media-libs/glew
- >=media-libs/libsdl-1.2.8
- media-libs/sdl-image
- media-libs/sdl-mixer
- media-libs/sdl-net
+ >=media-libs/libsdl-1.2.8:0
+ media-libs/sdl-image:0
+ media-libs/sdl-mixer:0
+ media-libs/sdl-net:0
net-misc/curl
virtual/opengl"
diff --git a/games-action/descent1-data/descent1-data-1.0-r1.ebuild b/games-action/descent1-data/descent1-data-1.0-r1.ebuild
index 6a084a0..2a19d96 100644
--- a/games-action/descent1-data/descent1-data-1.0-r1.ebuild
+++ b/games-action/descent1-data/descent1-data-1.0-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="2"
+EAPI="5"
inherit cdrom eutils games
diff --git a/games-action/descent2-data/descent2-data-1.0-r2.ebuild b/games-action/descent2-data/descent2-data-1.0-r2.ebuild
index 9b23425..a852fc5 100644
--- a/games-action/descent2-data/descent2-data-1.0-r2.ebuild
+++ b/games-action/descent2-data/descent2-data-1.0-r2.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="2"
+EAPI="5"
inherit cdrom eutils games
diff --git a/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild b/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
index 0edff6e..0476acb 100644
--- a/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
+++ b/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
@@ -2,6 +2,8 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
+EAPI="5"
+
inherit cdrom eutils games
DESCRIPTION="Data files for Descent 2: The Vertigo Series"
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] proj/gamerlay:master commit in: games-action/descent2-vertigo/, games-action/descent2-data/, ...
@ 2013-06-18 8:20 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 4+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2013-06-18 8:20 UTC (permalink / raw
To: gentoo-commits
commit: f80a26243df170c835283b6f36058154bccb978e
Author: Alexander S. Turenko <totktonada <AT> totktonada <DOT> ru>
AuthorDate: Tue Jun 18 08:19:55 2013 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Tue Jun 18 08:19:55 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=f80a2624
[games-action/d{1,2}x-*, games-action/descent{1,2}-*] Added
Signed-off-by: Vadim A. Misbakh-Soloviov <mva <AT> mva.name>
---
games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild | 84 ++++++++++
games-action/d1x-rebirth/metadata.xml | 21 +++
games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild | 82 ++++++++++
games-action/d2x-rebirth/metadata.xml | 36 +++--
games-action/d2x-xl/d2x-xl-1.16.15.ebuild | 138 +++++++++++++++++
.../descent1-data/descent1-data-1.0-r1.ebuild | 148 ++++++++++++++++++
.../descent2-data/descent2-data-1.0-r2.ebuild | 171 +++++++++++++++++++++
.../descent2-vertigo/descent2-vertigo-1.0.ebuild | 108 +++++++++++++
8 files changed, 771 insertions(+), 17 deletions(-)
diff --git a/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild b/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
new file mode 100644
index 0000000..6728c2a
--- /dev/null
+++ b/games-action/d1x-rebirth/d1x-rebirth-0.57.3.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+inherit eutils games scons-utils
+
+DV=1
+DESCRIPTION="Descent Rebirth - enhanced Descent ${DV} engine"
+HOMEPAGE="http://www.dxx-rebirth.com/"
+SRC_URI="mirror://sourceforge/dxx-rebirth/${PN}_v${PV}-src.tar.gz
+ opl3? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-opl3-music.zip )
+ sc55? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-sc55-music.zip )
+ textures? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-hires.zip )
+ linguas_de? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-briefings-ger.zip )"
+
+LICENSE="D1X GPL-2 as-is"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cdinstall debug ipv6 linguas_de +opengl opl3 sc55 +textures +timidity"
+
+DEPEND="opengl? ( virtual/opengl virtual/glu )
+ dev-games/physfs[hog,zip]
+ media-libs/libsdl[audio,opengl?,video]
+ media-libs/sdl-mixer[timidity?]"
+RDEPEND="${DEPEND}
+ cdinstall? ( games-action/descent1-data )"
+
+S=${WORKDIR}/${PN}_v${PV}-src
+
+src_unpack() {
+ unpack ${PN}_v${PV}-src.tar.gz
+}
+
+src_compile() {
+ escons \
+ verbosebuild=1 \
+ sharepath="${GAMES_DATADIR}/d${DV}x" \
+ sdlmixer=1 \
+ $(use_scons debug) \
+ $(use_scons ipv6) \
+ || die
+}
+
+src_install() {
+
+ local DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
+ edos2unix ${DOCS[@]} || die
+ dodoc ${DOCS[@]} || die
+
+ insinto "${GAMES_DATADIR}/d${DV}x"
+
+ # None of the following zip files need to be extracted.
+ if use linguas_de ; then
+ doins "${DISTDIR}"/d${DV}xr-briefings-ger.zip || die
+ fi
+ if use opl3 ; then
+ doins "${DISTDIR}"/d${DV}xr-opl3-music.zip || die
+ fi
+ if use sc55 ; then
+ doins "${DISTDIR}"/d${DV}xr-sc55-music.zip || die
+ fi
+ if use textures ; then
+ doins "${DISTDIR}"/d${DV}xr-hires.zip || die
+ fi
+
+ doicon "${S}/${PN}.xpm" || die
+
+ local EXE=${PN}
+ newgamesbin ${EXE} ${EXE} || die
+ make_desktop_entry ${PN} "Descent ${DV} Rebirth" || die
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ if ! use cdinstall ; then
+ echo
+ elog "To play the full game enable USE=\"cdinstall\" or manually "
+ elog "copy the files to ${GAMES_DATADIR}/d${DV}x."
+ elog "Use bzcat /usr/share/doc/${PF}/INSTALL.txt.bz2 for details."
+ echo
+ fi
+}
diff --git a/games-action/d1x-rebirth/metadata.xml b/games-action/d1x-rebirth/metadata.xml
new file mode 100644
index 0000000..f7ff227
--- /dev/null
+++ b/games-action/d1x-rebirth/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <longdescription>
+Descent 1 is a classic first-person shooter released in 1995 by Interplay
+and Parallax. It was one of the first games with true 3-dimensional
+graphics, movement, and light sourcing. D1X-Rebirth is a modification of the
+Descent 1 source that was released by Parallax and is based on the D1X source.
+</longdescription>
+ <use>
+ <flag name="linguas_de">Provides German translations for the game's
+ briefings, robot descriptions, and outro of the original campaign</flag>
+ <flag name="opl3">Include alternate version of the game's music, recorded
+ with the Yamaha YMF262 OPL3 soundchip</flag>
+ <flag name="sc55">Include alternate version of the game's music, recorded
+ with the Roland Sound Canvas SC-55 MIDI module</flag>
+ <flag name="textures">Include high resolution (640x480) backgrounds,
+ briefing images and fonts</flag>
+ </use>
+</pkgmetadata>
diff --git a/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild b/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
new file mode 100644
index 0000000..a9e1875
--- /dev/null
+++ b/games-action/d2x-rebirth/d2x-rebirth-0.57.3.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+inherit eutils games scons-utils
+
+DV=2
+DESCRIPTION="Descent Rebirth - enhanced Descent ${DV} engine"
+HOMEPAGE="http://www.dxx-rebirth.com/"
+SRC_URI="mirror://sourceforge/dxx-rebirth/${PN}_v${PV}-src.tar.gz
+ opl3? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-opl3-music.zip )
+ sc55? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-sc55-music.zip )
+ linguas_de? ( http://www.dxx-rebirth.com/download/dxx/res/d${DV}xr-briefings-ger.zip )"
+
+LICENSE="D1X GPL-2 as-is"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cdinstall debug ipv6 linguas_de +opengl opl3 sc55 +timidity"
+
+DEPEND="opengl? ( virtual/opengl virtual/glu )
+ dev-games/physfs[hog,mvl,zip]
+ media-libs/libsdl[audio,opengl?,video]
+ media-libs/sdl-mixer[timidity?]"
+RDEPEND="${DEPEND}
+ cdinstall? ( games-action/descent2-data )
+ !cdinstall? ( games-action/descent2-demodata )"
+
+S=${WORKDIR}/${PN}_v${PV}-src
+
+src_unpack() {
+ unpack ${PN}_v${PV}-src.tar.gz
+}
+
+src_compile() {
+ escons \
+ verbosebuild=1 \
+ sharepath="${GAMES_DATADIR}/d${DV}x" \
+ sdlmixer=1 \
+ $(use_scons debug) \
+ $(use_scons ipv6) \
+ || die
+}
+
+src_install() {
+
+ local DOCS=({CHANGELOG,COPYING,INSTALL,README,RELEASE-NOTES}.txt)
+ edos2unix ${DOCS[@]} || die
+ dodoc ${DOCS[@]} || die
+
+ insinto "${GAMES_DATADIR}/d${DV}x"
+
+ # None of the following zip files need to be extracted.
+ if use linguas_de ; then
+ doins "${DISTDIR}"/d${DV}xr-briefings-ger.zip || die
+ fi
+ if use opl3 ; then
+ doins "${DISTDIR}"/d${DV}xr-opl3-music.zip || die
+ fi
+ if use sc55 ; then
+ doins "${DISTDIR}"/d${DV}xr-sc55-music.zip || die
+ fi
+
+ doicon "${S}/${PN}.xpm" || die
+
+ local EXE=${PN}
+ newgamesbin ${EXE} ${EXE} || die
+ make_desktop_entry ${PN} "Descent ${DV} Rebirth" || die
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ if ! use cdinstall ; then
+ echo
+ elog "The Descent ${DV} Demo data has been installed."
+ elog "To play the full game enable USE=\"cdinstall\" or manually "
+ elog "copy the files to ${GAMES_DATADIR}/d${DV}x."
+ elog "Use bzcat /usr/share/doc/${PF}/INSTALL.txt.bz2 for details."
+ echo
+ fi
+}
diff --git a/games-action/d2x-rebirth/metadata.xml b/games-action/d2x-rebirth/metadata.xml
index 38f0820..278acf5 100644
--- a/games-action/d2x-rebirth/metadata.xml
+++ b/games-action/d2x-rebirth/metadata.xml
@@ -1,21 +1,23 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<herd>no-herd</herd>
-<maintainer>
-<email>azamat.hackimov@gmail.com</email>
-<name>Azamat H. Hackimov</name>
-</maintainer>
-<longdescription lang="en">
-Descent Rebirth - enhanced Descent 2 engine
-</longdescription>
-<longdescription lang="ru">
-Descent Rebirth - улучшенный движок для Descent 2
-</longdescription>
-<use>
-<flag name="editor">Enable editor (Experimental!)</flag>
-<flag name="music_awe32">Enable soundtrack recorded with the enhanced AWE32 soundfont</flag>
-<flag name="music_opl3">Enable soundtrack recorded with the Yamaha YMF262 OPL3 Soundchip</flag>
-<flag name="music_sc55">Enable soundtrack recorded with the Roland Sound Canvas SC-55</flag>
-</use>
+ <herd>games</herd>
+ <longdescription>
+ Descent 2 is a classic 'tunnel shooter' released for the PC in 1996. It
+ was developed by Parallax Software and published by Interplay. It, along
+ with its predecessor Descent, was one of the first games to offer true
+ 3-dimensional graphics, 6 degrees of freedom in movement, and the
+ capability to join multiplayer games on-the-fly. DXX-Rebirth is a
+ modification of the Descent 2 source that was released by Parallax,
+ offering OpenGL graphics, advanced multiplayer, new features, and
+ cross-platform compatibility.
+ </longdescription>
+ <use>
+ <flag name="linguas_de">Provides German translations for the game's
+ briefings, robot descriptions, and outro of the original campaign</flag>
+ <flag name="opl3">Include alternate version of the game's music, recorded
+ with the Yamaha YMF262 OPL3 soundchip</flag>
+ <flag name="sc55">Include alternate version of the game's music, recorded
+ with the Roland Sound Canvas SC-55 MIDI module</flag>
+ </use>
</pkgmetadata>
diff --git a/games-action/d2x-xl/d2x-xl-1.16.15.ebuild b/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
new file mode 100644
index 0000000..ee06c1c
--- /dev/null
+++ b/games-action/d2x-xl/d2x-xl-1.16.15.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit autotools eutils flag-o-matic toolchain-funcs games
+
+SRC_D2X="http://www.descent2.de/files"
+SRC_FILE="${PN}-src-${PV}.7z"
+DATA_FILE="${PN}-data-1.15.295.7z"
+
+DESCRIPTION="Descent 2 engine supporting high-resolution textures"
+HOMEPAGE="http://www.descent2.de/"
+
+# www.descent2.de must be *first* in the SRC_URI list, because
+# all the SourceForge links exhaust Portage's retry patience.
+SRC_URI="${SRC_D2X}/${SRC_FILE}
+ ${SRC_D2X}/${DATA_FILE}
+ mirror://sourceforge/${PN}/${SRC_FILE}
+ mirror://sourceforge/${PN}/${DATA_FILE}
+ models? ( ${SRC_D2X}/models/hires-models.7z )
+ sounds? ( ${SRC_D2X}/sound/hires-sounds.7z )
+ textures? ( "
+
+D1_TEXTURES="ceilings doors fans-grates lava lights metal rock signs special switches"
+D2_TEXTURES="ceilings doors fans-grates lava-water lights metal rock signs special switches"
+
+for X in ${D1_TEXTURES}; do SRC_URI="${SRC_URI} ${SRC_D2X}/textures/D1-hires-${X}.7z"; done
+for X in ${D2_TEXTURES}; do SRC_URI="${SRC_URI} ${SRC_D2X}/textures/D2-hires-${X}.7z"; done
+
+SRC_URI="${SRC_URI} )"
+LICENSE="D1X"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="descent1 descent2 descent2-vertigo debug icon models openmp sounds textures"
+
+CDEPEND="media-libs/glew
+ >=media-libs/libsdl-1.2.8
+ media-libs/sdl-image
+ media-libs/sdl-mixer
+ media-libs/sdl-net
+ net-misc/curl
+ virtual/opengl"
+
+RDEPEND="${CDEPEND}
+ descent1? ( games-action/descent1-data )
+ descent2? ( games-action/descent2-data )
+ descent2-vertigo? ( games-action/descent2-vertigo )"
+
+DEPEND="${CDEPEND}
+ app-arch/p7zip
+ icon? ( media-gfx/icoutils )"
+
+S="${WORKDIR}"
+DIR="${GAMES_DATADIR}/${PN}"
+
+src_unpack() {
+ unpack "${SRC_FILE}" "./${PN}-makefiles.7z"
+}
+
+src_prepare() {
+ if use icon ; then
+ icotool -x "${PN}.ico" || die
+ fi
+
+ # Use our own data directory.
+ sed -i "s:/usr/local/games/${PN}:${DIR}:g" main/{setup,gamefolders}.cpp || die
+
+ # Don't need these libraries.
+ sed -i -r "/d2x_sdl_LDADD/s/-l(Xm|Xt|X11)//g" Makefile.am || die
+
+ # Strip C(XX)FLAGS.
+ sed -i -r "/C(XX)?FLAGS/s/-(fopenmp|g|O[0-9])//g" configure.ac || die
+
+ chmod a+x ./autogen.sh && ./autogen.sh
+ chmod +x configure || die
+ eautoreconf
+}
+
+src_configure() {
+ if use openmp && tc-has-openmp; then
+ append-cppflags -fopenmp
+ export LIBS="${LIBS} -lgomp"
+ fi
+
+ local DEBUG_CONF="--disable-debug --enable-release"
+ use debug && DEBUG_CONF="--enable-debug --disable-release"
+
+ egamesconf ${DEBUG_CONF} --with-opengl || die
+}
+
+src_install() {
+ if use icon; then
+ newicon "${PN}_1_48x48x32.png" "${PN}.png" || die
+ fi
+
+ dogamesbin "${PN}" || die
+ make_desktop_entry "${PN}" "D2X-XL" "${PN}"
+
+ # Unpack D2X-XL data files.
+ dodir "${DIR}" || die
+ cd "${D}${DIR}" || die
+ unpack "${DATA_FILE}"
+
+ # Symlink original data files, which may or may not be present.
+
+ if use descent1; then
+ ln -s ../../d1x/descent.{hog,pig} data/ || die
+ fi
+
+ if use descent2; then
+ ln -s ../../d2x/descent2.{ham,hog,s11,s22} data/ || die
+ ln -s ../../d2x/{groupa,alien{1,2},fire,ice,water}.pig data/ || die
+ fi
+
+ if use descent2-vertigo; then
+ ln -s ../../d2x/hoard.ham data/ || die
+ mkdir missions || die
+ ln -s ../../d2x/missions/d2x.{hog,mn2} missions/ || die
+ fi
+
+ # Optional data.
+ use models && unpack hires-models.7z
+ use sounds && unpack hires-sounds.7z
+
+ if use textures; then
+ for X in ${D1_TEXTURES}; do unpack "D1-hires-${X}.7z"; done
+ for X in ${D2_TEXTURES}; do unpack "D2-hires-${X}.7z"; done
+
+ # Make everything lower case.
+ mv textures/D1 textures/d1 || die
+ mv sounds2/D1 sounds2/d1 || die
+ find -name "*[A-Z]*" -exec sh -c 'mv {} $(echo {} | tr A-Z a-z)' \; || die
+ fi
+
+ prepgamesdirs
+}
diff --git a/games-action/descent1-data/descent1-data-1.0-r1.ebuild b/games-action/descent1-data/descent1-data-1.0-r1.ebuild
new file mode 100644
index 0000000..6a084a0
--- /dev/null
+++ b/games-action/descent1-data/descent1-data-1.0-r1.ebuild
@@ -0,0 +1,148 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit cdrom eutils games
+
+MY_PV=${PV/./}
+
+MY_EXE="setup_descent_1_2.exe"
+
+DESCRIPTION="Data files for Descent 1"
+HOMEPAGE="http://www.interplay.com/games/support.php?id=263"
+SRC_URI="http://www.dxx-rebirth.com/download/dxx/res/d1datapt.zip
+ !cdinstall? ( $MY_EXE )"
+# Don't have a method of applying the ver 1.2 patch in Linux
+# http://www.interplay.com/support/product.asp?GameID=109
+# mirror://3dgamers/descent2/d2ptch${MY_PV}.exe
+
+# See readme.txt
+LICENSE="${PN}"
+SLOT="0"
+KEYWORDS="amd64 x86"
+PROPERTIES=""
+CDROM_OPTIONAL="yes"
+RESTRICT="!cdinstall? ( fetch )"
+IUSE="+cdinstall doc"
+
+RDEPEND=""
+DEPEND="app-arch/unzip
+ !cdinstall? (
+ app-arch/innoextract
+ )"
+
+S=${WORKDIR}
+dir=${GAMES_DATADIR}/d1x
+
+# Function to handle copying and renaming files from installation directory
+copy_file() {
+ local dest="${2}"
+ local f=$(basename "${1}")
+ if [ "${f:0:1}" == '*' ]; then
+ return 0
+ else
+ echo "Copying '${f}'"
+ local d=$(echo ${f} | tr "[:upper:]" "[:lower:]")
+ cp -f "${1}" "${dest}/${d}"
+ return $?
+ fi
+}
+
+pkg_nofetch() {
+ elog "You must place a copy of, or symlink to, the GOG setup package here:"
+ elog "${DISTDIR}/${MY_EXE}"
+ echo
+ elog "If you wish to install from CD-ROM instead, please enable the cdinstall flag"
+}
+
+pkg_setup() {
+ games_pkg_setup
+
+ if use cdinstall; then
+ # Check for Descent 1 CD or an existing install (eg., for GOG)
+ CDROM_NAME_SET=( "CD-ROM Version" "Installed Version" "Installed Version" )
+ cdrom_get_cds descent/descent.hog:descent.hog:DESCENT.HOG
+ case ${CDROM_SET} in
+ 0)
+ F_ROOT="${CDROM_ROOT}/descent"
+ einfo 'Found Descent I CD' ;;
+ [12])
+ F_ROOT="${CDROM_ROOT}"
+ einfo 'Found Descent I Installation' ;;
+ *)
+ die 'Descent I CD or installation files not found' ;;
+ esac
+
+ else
+ # Check for GOG installer
+ if [ ! -e "${DISTDIR}/${MY_EXE}" ]; then
+ ewarn "You must copy or symlink '${MY_EXE}' to your distfiles directory"
+ die "GOG installer not found"
+ fi
+ F_ROOT="${WORKDIR}/gog/app/descent"
+ fi
+}
+
+src_unpack() {
+ mkdir "${WORKDIR}/missions"
+
+ # Unpack GOG package if necessary
+ if ! use cdinstall; then
+ einfo "Unpacking ${MY_EXE}. This will take a while..."
+ mkdir gog && cd gog || die "mkdir failed"
+ innoextract -e -s -L "${DISTDIR}/${MY_EXE}" || die "innoextract failed"
+ cd ..
+ fi
+
+ # Copy all (including optional) mission files
+ for i in "${F_ROOT}"/*.{hog,HOG,msn,MSN,pig,PIG,txt,TXT,pdf,PDF}; do
+ copy_file "$i" "${WORKDIR}/missions" || die "copy '${i}' failed"
+ done
+
+ # Move and validate required files
+ mv missions/descent.hog . || die 'descent.hog not found'
+ mv missions/descent.pig . || die 'descent.pig not found'
+
+ # Unpack data file patches
+ unpack d1datapt.zip
+
+ mkdir doc
+ mv missions/*.txt missions/*.pdf doc/
+}
+
+src_prepare() {
+ # Only try to apply patch if it's actually needed
+ if [ "$(md5sum descent.hog | cut -f1 -d' ')" != "c792a21a30b869b1ec6d31ad64e9557e" ]; then
+ einfo "Patching Descent 1 data files"
+ patch -p0 descent.hog <d1datapt/descent.hog.diff
+ patch -p0 descent.pig <d1datapt/descent.pig.diff
+ fi
+}
+
+
+src_install() {
+ insinto "${dir}"
+ doins * || die "doins * failed"
+
+ insinto "${dir}/missions"
+ doins missions/*
+
+ if use doc; then
+ dodoc doc/*.txt
+ if [ $(ls doc/*.pdf 2>/dev/null | wc -l) -gt 0 ]; then
+ insinto "/usr/share/doc/${PF}"
+ doins doc/*.pdf
+ fi
+ fi
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ elog "A client is needed to run the game, e.g. games-action/d1x-rebirth."
+ echo
+}
diff --git a/games-action/descent2-data/descent2-data-1.0-r2.ebuild b/games-action/descent2-data/descent2-data-1.0-r2.ebuild
new file mode 100644
index 0000000..9b23425
--- /dev/null
+++ b/games-action/descent2-data/descent2-data-1.0-r2.ebuild
@@ -0,0 +1,171 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit cdrom eutils games
+
+MY_PV=${PV/./}
+
+MY_EXE="setup_descent_1_2.exe"
+
+DESCRIPTION="Data files for Descent 2"
+HOMEPAGE="http://www.interplay.com/games/support.php?id=104"
+SRC_URI="!cdinstall? ( $MY_EXE )"
+# Don't have a method of applying the ver 1.2 patch in Linux
+# http://www.interplay.com/support/product.asp?GameID=109
+# mirror://3dgamers/descent2/d2ptch${MY_PV}.exe
+
+# See readme.txt
+LICENSE="${PN}"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+PROPERTIES="cdinstall? ( interactive )"
+RESTRICT="!cdinstall? ( fetch )"
+IUSE="+cdinstall doc vertigo videos"
+
+# d2x-0.2.5-r2 may include the CD data itself.
+# d2x-0.2.5-r3 does not include the CD data.
+# d2x-rebirth is favoured because it is stable.
+#RDEPEND="|| (
+# games-action/d2x-rebirth
+# >=games-action/d2x-0.2.5-r3 )"
+RDEPEND="!<games-action/d2x-0.2.5-r3"
+DEPEND="app-arch/unarj
+ vertigo? ( games-action/descent2-vertigo )
+ !cdinstall? (
+ app-arch/innoextract
+ app-arch/unzip
+ )"
+
+S=${WORKDIR}
+dir=${GAMES_DATADIR}/d2x
+
+# Function to handle copying and renaming files from installation directory
+copy_file() {
+ local dest="${2}"
+ local f=$(basename "${1}")
+ if [ "${f:0:1}" == '*' ]; then
+ return 0
+ else
+ echo "Copying '${f}'"
+ local d=$(echo ${f} | tr "[:upper:]" "[:lower:]")
+ cp -f "${1}" "${dest}/${d}"
+ return $?
+ fi
+}
+
+pkg_nofetch() {
+ elog "You must place a copy of, or symlink to, the GOG setup package here:"
+ elog "${DISTDIR}/${MY_EXE}"
+ echo
+ elog "If you wish to install from CD-ROM instead, please enable the cdinstall flag"
+}
+
+pkg_setup() {
+ games_pkg_setup
+ local m need_cd="n"
+
+ if use cdinstall; then
+ # Check for supported CD-ROM or local install
+ CDROM_NAME_SET=( "CD-ROM Version" "Installed Version" "Installed Version" )
+ cdrom_get_cds d2data/descent2.sow:descent2.hog:DESCENT2.HOG
+ case ${CDROM_SET} in
+ 0) F_SOURCE='cd'
+ F_ROOT="${CDROM_ROOT}/d2data"
+ einfo 'Found Descent II CD' ;;
+ [12]) F_SOURCE='install'
+ F_ROOT="${CDROM_ROOT}"
+ einfo 'Found Descent II Installation' ;;
+ *) die 'Descent II CD or installation files not found' ;;
+ esac
+
+ else
+ # Check for GOG installer
+ if [ ! -e "${DISTDIR}/${MY_EXE}" ]; then
+ ewarn "You must copy or symlink '${MY_EXE}' to your distfiles directory"
+ die "GOG installer not found"
+ F_SOURCE='gog'
+ fi
+ F_ROOT="${WORKDIR}/gog/app/descent 2"
+ fi
+}
+
+src_unpack() {
+ mkdir "${WORKDIR}/missions"
+
+ # Extract level data if installing from CD
+ if [ "${F_SOURCE}" == "cd" ]; then
+ unarj e "${F_ROOT}/descent2.sow" || die "unarj '${F_ROOT}/descent2.sow' failed"
+
+ # Remove files not needed by any Linux native client
+ rm -f *.{bat,dll,exe,ini,lst}
+ rm -f endnote.txt
+
+ # Othwerwise, copy files if pulling from install source
+ else
+ # Extract files from GOG package if necessary
+ if ! use cdinstall; then
+ einfo "Unpacking ${MY_EXE}. This will take a while..."
+ mkdir gog && cd gog || die "mkdir failed"
+ innoextract -e -s -L "${DISTDIR}/${MY_EXE}" || die "innoextract failed"
+ cd ..
+ fi
+
+ for i in "${F_ROOT}"/*.{ham,HAM,hog,HOG,pig,PIG,s11,S11,s22,S22,txt,TXT,pdf,PDF}; do
+ copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ done
+
+ # Also copy optional missions if available
+ for i in "${F_ROOT}"/{missions,MISSIONS}/*; do
+ copy_file "$i" "${WORKDIR}/missions" || die "copy '${i}' failed"
+ done
+ fi
+
+ # Also copy video files if desired
+ if use videos; then
+ # Require high resolution movie files
+ for i in "${F_ROOT}"/*-{h.mvl,H.MVL}; do
+ copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ done
+ if [ ! -f "${WORKDIR}/intro-h.mvl" \
+ -o ! -f "${WORKDIR}/other-h.mvl" \
+ -o ! -f "${WORKDIR}/robots-h.mvl" ] ; then
+ die "videos not found"
+ fi
+
+ # Also copy low resolution movie files (not available from GOG)
+ for i in "${F_ROOT}"/*-{l.mvl,L.MVL}; do
+ copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ done
+ fi
+
+ mkdir doc
+ mv *.txt *.pdf doc/
+}
+
+src_install() {
+ insinto "${dir}"
+ doins * || die "doins * failed"
+
+ insinto "${dir}/missions"
+ doins missions/*
+
+ if use doc; then
+ dodoc doc/*.txt
+ if [ $(ls doc/*.pdf 2>/dev/null | wc -l) -gt 0 ]; then
+ insinto "/usr/share/doc/${PF}"
+ doins doc/*.pdf
+ fi
+ fi
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ elog "A client is needed to run the game, e.g. games-action/d2x-rebirth."
+ echo
+}
diff --git a/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild b/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
new file mode 100644
index 0000000..0edff6e
--- /dev/null
+++ b/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit cdrom eutils games
+
+DESCRIPTION="Data files for Descent 2: The Vertigo Series"
+HOMEPAGE="http://www.interplay.com/games/support.php?id=103"
+SRC_URI=""
+
+# See readme.txt
+LICENSE="${PN}"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="doc videos"
+
+RDEPEND=""
+DEPEND=""
+
+S=${WORKDIR}
+dir=${GAMES_DATADIR}/d2x
+
+# Function to handle copying and renaming files from installation directory
+copy_file() {
+ local dest="${2}"
+ local f=$(basename "${1}")
+ if [ "${f:0:1}" == '*' -o ! -f "${1}" ]; then
+ return 0
+ else
+ echo "Copying '${f}'"
+ local d=$(echo ${f} | tr "[:upper:]" "[:lower:]")
+ cp -f "${1}" "${dest}/${d}"
+ return $?
+ fi
+}
+
+pkg_setup() {
+ games_pkg_setup
+
+ # The Descent 2 CD, or an existing install (eg., for GOG), is needed
+ CDROM_NAME_SET=( "CD-ROM Version" "CD-ROM" )
+ cdrom_get_cds vertigo/d2x.hog:VERTIGO/D2X.HOG
+ case ${CDROM_SET} in
+ [01]) F_SOURCE='cd'
+ F_ROOT="${CDROM_ROOT}/vertigo"
+ einfo 'Found Descent II Vertigo Series CD' ;;
+ *) die "Vertigo Series CD or files not found" ;;
+ esac
+}
+
+src_unpack() {
+ mkdir "${WORKDIR}/missions"
+
+ # Copy index files
+ for i in "${F_ROOT}"/{{hoard.ham,HOARD.HAM},*.{txt,TXT}}; do
+ copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ done
+
+ # Copy mission files
+ for i in "${F_ROOT}"/{d2x,D2X}.{hog,HOG,mn2,MN2}; do
+ copy_file "$i" "${WORKDIR}/missions" || die "copy '${i}' failed"
+ done
+
+ # Copy optional mission files
+ for i in "${F_ROOT}"/{missions,MISSIONS}/*; do
+ copy_file "$i" "${WORKDIR}/missions" || die "copy '${i}' failed"
+ done
+
+ # Also copy video files if desired
+ if use videos; then
+ # Require high resolution movie files
+ for i in "${F_ROOT}"/*-{h.mvl,H.MVL}; do
+ copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ done
+ if [ ! -f "${WORKDIR}/d2x-h.mvl" ] ; then
+ die "videos not found"
+ fi
+
+ # Also copy low resolution movie files (not available from GOG)
+ for i in "${F_ROOT}"/*-{l.mvl,L.MVL}; do
+ copy_file "$i" "${WORKDIR}" || die "copy '${i}' failed"
+ done
+ fi
+
+ mkdir doc
+ mv *.txt doc/
+}
+
+src_install() {
+ insinto "${dir}"
+ doins * || die "doins * failed"
+
+ insinto "${dir}/missions"
+ doins missions/*
+
+ if use doc; then
+ dodoc doc/*.txt
+ fi
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ elog "A client is needed to run the game, e.g. games-action/d2x-rebirth."
+ echo
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2013-08-05 14:01 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-08-05 14:01 [gentoo-commits] proj/gamerlay:master commit in: games-action/descent2-vertigo/, games-action/descent2-data/, Vadim A. Misbakh-Soloviov
-- strict thread matches above, loose matches on Subject: below --
2013-08-05 14:01 Vadim A. Misbakh-Soloviov
2013-07-27 19:39 Vadim A. Misbakh-Soloviov
2013-06-18 8:20 Vadim A. Misbakh-Soloviov
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox